Bug 29312 - Punctuation: Total number of results: 961 (300 shown) .
Summary: Punctuation: Total number of results: 961 (300 shown) .
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Reports (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Séverine Queune
QA Contact: Testopia
URL:
Keywords: Academy
Depends on: 18283
Blocks:
  Show dependency treegraph
 
Reported: 2021-10-24 10:32 UTC by Katrin Fischer
Modified: 2022-06-08 14:56 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.11.00


Attachments
Bug 29312: Remove unnecessary point (1.45 KB, patch)
2022-04-05 13:24 UTC, Séverine Queune
Details | Diff | Splinter Review
Bug 29312: Remove unnecessary point (1.50 KB, patch)
2022-05-31 03:05 UTC, David Nind
Details | Diff | Splinter Review
Bug 29312: Remove unnecessary dot (1.57 KB, patch)
2022-05-31 13:51 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2021-10-24 10:32:34 UTC
This is from the results of a saved SQL report:

Total number of results: 961 (300 shown) . 

We should either remove the extra . or remove the extra space.
Comment 1 Séverine Queune 2022-04-05 13:24:51 UTC
Created attachment 132973 [details] [review]
Bug 29312: Remove unnecessary point

This patch removes an extra point after the number of shown results.

Test plan :
 - don't apply patch
 - run a report that brings you more than 20 results, e.g. SELECT * FROM biblio LIMIT 50
 - see extra ' .' after the number of shown results
 - apply patch
 - run the report again and see the point isn't displayed anymore
 - check the behaviour is still correct when you change the number of rows displayed
 - sign off !
Comment 2 David Nind 2022-05-31 03:05:57 UTC
Created attachment 135458 [details] [review]
Bug 29312: Remove unnecessary point

This patch removes an extra point after the number of shown results.

Test plan :
 - don't apply patch
 - run a report that brings you more than 20 results, e.g. SELECT * FROM biblio LIMIT 50
 - see extra ' .' after the number of shown results
 - apply patch
 - run the report again and see the point isn't displayed anymore
 - check the behaviour is still correct when you change the number of rows displayed
 - sign off !

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Jonathan Druart 2022-05-31 08:02:11 UTC
Nick, extra '.' or extra space?
Comment 4 Nick Clemens 2022-05-31 11:09:11 UTC
(In reply to Jonathan Druart from comment #3)
> Nick, extra '.' or extra space?

It looks good without the dot
Comment 5 Séverine Queune 2022-05-31 12:08:06 UTC
(In reply to Jonathan Druart from comment #3)
> Nick, extra '.' or extra space?

To me, it's an information not a sentence so dot didn't seem necessary.
I can change that if you prefer, though, Jonathan.
Comment 6 Jonathan Druart 2022-05-31 13:51:02 UTC
Created attachment 135503 [details] [review]
Bug 29312: Remove unnecessary dot

This patch removes an extra point after the number of shown results.

Test plan :
 - don't apply patch
 - run a report that brings you more than 20 results, e.g. SELECT * FROM biblio LIMIT 50
 - see extra ' .' after the number of shown results
 - apply patch
 - run the report again and see the point isn't displayed anymore
 - check the behaviour is still correct when you change the number of rows displayed
 - sign off !

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 7 Jonathan Druart 2022-05-31 13:51:26 UTC
(In reply to Séverine Queune from comment #5)
> (In reply to Jonathan Druart from comment #3)
> > Nick, extra '.' or extra space?
> 
> To me, it's an information not a sentence so dot didn't seem necessary.
> I can change that if you prefer, though, Jonathan.

I don't care, I am happy with both :)
Comment 8 Jonathan Druart 2022-05-31 13:51:51 UTC
(In reply to Nick Clemens from comment #4)
> (In reply to Jonathan Druart from comment #3)
> > Nick, extra '.' or extra space?
> 
> It looks good without the dot

Thanks for your quick response!
Comment 9 Tomás Cohen Arazi 2022-06-08 14:56:14 UTC
Pushed to master for 22.11.

Nice work everyone, thanks!